Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005130opensim[REGION] Specific OpenSim Modulepublic2010-10-24 02:312011-07-12 06:40
Reporteraiaustin 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target VersionFixed in Version 
Summary0005130: [WORLD MAP] MapImageModule = Warp3DImageModule
DescriptionWarp3DImageModule Issues noted:

1. Diagonally placed prims (e.g. we have a lot at 45%) are not rotated in the map snapshot

2. We note that one region map tile on our 3 region servers on different machines is not refreshed from the previous default map image module. This is the one on the OpenSim.exe running on same host as Robust.exe services, at (1000,1000) and served on the 9000 ("default") port slot. See
http://vue.ed.ac.uk/openvue/img/2010-10-24-Openvue-Map.jpg [^]

3. We notice time outs in our OpenSim.exe console every few minutes.. though the map tile refresh is set to one hour.
Additional Information09:52:17 - [WORLD MAP]: Starting new remote request thread manually. This means that AvatarEnteringParcel never fired! This needs to be fixed! Don't Mantis this, as the developers can see it in this message
09:52:17 - [WORLD MAP]: Starting remote MapItem request thread
09:52:18 - [WATCHDOG]: Started tracking thread "MapItemRequestThread" (ID 198)
09:52:27 - [WATCHDOG]: Timeout detected for thread "MapItemRequestThread". ThreadState=Background. Last tick was 5647ms ago
09:53:52 - [WATCHDOG]: Started tracking thread "MapItemRequestThread" (ID 198)
09:54:00 - [WATCHDOG]: Timeout detected for thread "MapItemRequestThread". ThreadState=Background. Last tick was 6817ms ago
09:55:24 - [WATCHDOG]: Started tracking thread "MapItemRequestThread" (ID 198)
09:55:31 - [WATCHDOG]: Timeout detected for thread "MapItemRequestThread". ThreadState=Background. Last tick was 5241ms ago
09:56:56 - [WATCHDOG]: Started tracking thread "MapItemRequestThread" (ID 198)
TagsNo tags attached.
Git Revision or version number0.7.1 Dev
Run Mode Grid (Multiple Regions per Sim)
Physics EngineODE
Environment.NET / Windows32
Mono VersionNone
Viewer
Attached Files

- Relationships

-  Notes
(0017102)
aiaustin (developer)
2010-10-24 07:59
edited on: 2011-01-12 03:14

As a comparison see the diagonal road through the middle of the regions as shown in the Second Life map image. Its basically the same as shown as a set of non-rotated squares on the Warp3d map images.

http://vue.ed.ac.uk/sl/plan/vue-map-current.jpg [^]

Also worth noting that some of the buildings do render as a much more accurate shape on the Warp3D image though.

(0017104)
aiaustin (developer)
2010-10-24 09:00

Re point (2).. I think I can see the map tuile being refreshed for the 4 regions on the OpenSim.exe instance. 3 of them show up with changes. the "default" poprt 9000 one does not change even though a new map tile UUID has been created and the old one apparently deleted.
(0017105)
samiam (reporter)
2010-10-24 09:19

SubNote: MemLeak continues if maptile refresh is used. It will update anyway when region instances are re-started. Best to set the rate to 0.
On win you may not notice it as a problem for quite sometime as caching tends to hide it. On linux you will see mem top inc. overtime.

Im thinking some of the timeout may be related to that. On win if your want to see the issue, sw to ram cache rather than disk. Will fill it up past max quickly. With flotsam it takes mutch longer b4 you see the effect.

Might try and sw tile refresh = 0 and see if matters.
(0017106)
aiaustin (developer)
2010-10-24 10:31
edited on: 2010-10-25 02:32

samian, thanks for that warning, we did have Flotsam caching on. We had refresh rate set to 3600 secs, but for now will set to 0 and just do an occasional restart to get new maps. Though as I said my default region is actually not updating at all (so far as visible result goes, though console trace seems to indicate it might be doing so). Do you see that issue?

(0017110)
aiaustin (developer)
2010-10-25 02:29
edited on: 2010-10-25 02:33

Re point (1) I note that the non-rotated prims on the map tile are ones in linked sets. Single rotated prims seem to have their rotation properly shown.

Re point (2), after a second OpenSim.exe startup (to put in place the changed refresh period 3600 -> 0) the map tile that had not updated on first startup, and through its refresh periods was updated and is now showing the correct Warp3D generated tile image.

(0017111)
LaniGlobal (reporter)
2010-10-25 03:23

Some of how the current OpenSim versions make World Map and map tiles is descibed in mantis report at http://opensimulator.org/mantis/view.php?id=4814 [^]
(0017112)
aiaustin (developer)
2010-10-25 04:15

Thanks LaniGlobal, I had seen your excellent eport and experioments before. the new Warp3D renderer does a MUCH better job of renderign the prims and they are all sized and coloured I think correctly. There seems to be an issue with rotations of some linked prim sets and if this was fixed we would be in great shape visually.
(0017113)
smxy (reporter)
2010-10-25 05:41

I have one link set in my grid - a cabin. It is drawn improperly rotated on my map.
(0017176)
Teravus (administrator)
2010-10-29 23:32

There was a change to the maptile renderer in r09bf9d5fca8e that should produce better results on the position issues.
Thanks to lkalif for pointing out AbsolutePosition
(0017230)
aiaustin (developer)
2010-11-01 02:27

I tried r/14307 today and note this error showing in the OpenSim console. could it be a result of recent patches?

2010-11-01 09:17:52,394 ERROR - OpenSim.Region.CoreModules.World.Warp3DMap.Warp3DImageModule [MAPTILE]: Failed generating terrain map: System.ArgumentException: Parameter is not valid.
   at System.Drawing.Bitmap.LockBits(Rectangle rect, ImageLockMode flags, PixelFormat format, BitmapData bitmapData)
   at System.Drawing.Bitmap.LockBits(Rectangle rect, ImageLockMode flags, PixelFormat format)
   at OpenSim.Region.CoreModules.World.Warp3DMap.TerrainSplat.Splat(Single[] heightmap, UUID[] textureIDs, Single[] startHeights, Single[] heightRanges, Vector3d regionPosition, IAssetService assetService, Boolean textureTerrain) in d:\Temp\OpenSim\Region\CoreModules\World\Warp3DMap\TerrainSplat.cs:line 250
   at OpenSim.Region.CoreModules.World.Warp3DMap.Warp3DImageModule.CreateTerrain(Warp3D renderer, Boolean textureTerrain) in d:\Temp\OpenSim\Region\CoreModules\World\Warp3DMap\MapImageModule.cs:line 320
   at OpenSim.Region.CoreModules.World.Warp3DMap.Warp3DImageModule.CreateMapTile(Viewport viewport, Boolean useTextures) in d:\Temp\OpenSim\Region\CoreModules\World\Warp3DMap\MapImageModule.cs:line 199
   at OpenSim.Region.CoreModules.World.Warp3DMap.Warp3DImageModule.CreateMapTile() in d:\Temp\OpenSim\Region\CoreModules\World\Warp3DMap\MapImageModule.cs:line 131
   at OpenSim.Region.CoreModules.World.Warp3DMap.Warp3DImageModule.WriteJpeg2000Image() in d:\Temp\OpenSim\Region\CoreModules\World\Warp3DMap\MapImageModule.cs:line 216

--------------

When I run OpenSim.exe a second time I then get different yellow warnings.. but presumably from the same error.

2010-11-01 09:21:56,973 WARN - OpenSim.Region.CoreModules.World.Warp3DMap.Warp3DImageModule [MAPTILE]: Error decoding JPEG2000 texture 8fb6edf2-6d60-4d2e-aba6-de2807cdce91 (24600 bytes): Error while reading bit stream header or parsing packets.

2010-11-01 09:21:56,987 WARN - OpenSim.Region.CoreModules.World.Warp3DMap.Warp3DImageModule [MAPTILE]: Error decoding JPEG2000 texture b4fad7a3-894b-4ad6-b8de-b372e826e502 (7600 bytes): Error while reading bit stream header or parsing packets.
(0017231)
Fly-Man- (developer)
2010-11-01 07:16

I see the same error message on the console, although the map tile is being generated according to the database.
(0017233)
aiaustin (developer)
2010-11-01 08:16
edited on: 2010-11-01 09:26

I agree.. the map tile was generated in my tests before I had to roll back due to the newly introduced errors. But, as Teravus expected in this change to the Warp3D maptile renderer in r09bf9d5fca8e, it the map tile images look much better now that each prim in a linked set is properly handled for position and rotation.

(0018283)
aiaustin (developer)
2011-04-15 02:34

I think these three errors are not present in recent OpenSim 0.7.1. dev versions.
(0018825)
makopoppo (manager)
2011-07-12 06:40

closing since the reporter said this issue is no longer reproduced now

- Issue History
Date Modified Username Field Change
2010-10-24 02:31 aiaustin New Issue
2010-10-24 02:31 aiaustin Git Revision => 0.7.1 Dev
2010-10-24 02:31 aiaustin SVN Revision => 14257
2010-10-24 02:31 aiaustin Run Mode => Grid (Multiple Regions per Sim)
2010-10-24 02:31 aiaustin Physics Engine => ODE
2010-10-24 02:31 aiaustin Environment => .NET / Windows32
2010-10-24 02:31 aiaustin Mono Version => None
2010-10-24 02:46 aiaustin Description Updated
2010-10-24 02:46 aiaustin Additional Information Updated
2010-10-24 02:47 aiaustin Description Updated
2010-10-24 07:59 aiaustin Note Added: 0017102
2010-10-24 08:58 aiaustin Note Edited: 0017102
2010-10-24 09:00 aiaustin Note Added: 0017104
2010-10-24 09:19 samiam Note Added: 0017105
2010-10-24 10:31 aiaustin Note Added: 0017106
2010-10-25 02:29 aiaustin Note Added: 0017110
2010-10-25 02:31 aiaustin Note Edited: 0017110
2010-10-25 02:32 aiaustin Note Edited: 0017106
2010-10-25 02:33 aiaustin Note Edited: 0017110
2010-10-25 03:23 LaniGlobal Note Added: 0017111
2010-10-25 04:15 aiaustin Note Added: 0017112
2010-10-25 05:41 smxy Note Added: 0017113
2010-10-29 23:32 Teravus Note Added: 0017176
2010-11-01 02:27 aiaustin Note Added: 0017230
2010-11-01 07:16 Fly-Man- Note Added: 0017231
2010-11-01 07:16 Fly-Man- Status new => confirmed
2010-11-01 08:16 aiaustin Note Added: 0017233
2010-11-01 09:26 aiaustin Note Edited: 0017233
2011-01-12 03:14 aiaustin Note Edited: 0017102
2011-04-15 02:34 aiaustin Note Added: 0018283
2011-07-12 06:40 makopoppo Note Added: 0018825
2011-07-12 06:40 makopoppo Status confirmed => closed
2011-07-12 06:40 makopoppo Resolution open => fixed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker